Subject: Re: gitoxide-compatible licensing of Git's Rust code, was Re: [PATCH 6/7] xdiff: conditionally use Rust's implementation of xxhash

From: Patrick Steinhardt <[email-masked]>
Date: Thu, 25 Sep 2025 07:42:21 +0200

On Wed, Sep 24, 2025 at 10:25:55PM -0400, Jeff King wrote:
> On Wed, Sep 24, 2025 at 02:48:26PM +0100, Phillip Wood wrote:
> 
> > Thanks for putting this so clearly, I agree with everything that you've
> > written here. Another thing I'm concerned/confused about is how the
> > exception for a single project works in practice. Does it mean that a third
> > party that wants to re-use some code from GitOxide has to check if the code
> > originally came from Git to determine which license it is under? Or does it
> > mean that anyone who wants to use Git's code without the copyleft
> > restrictions can do so if they launder it through GitOxide first? Neither of
> > those seems like a great outcome.
> 
> If I understand the suggestion correctly, it's not to license it
> specifically to GitOxide. It's to use a permissive license (like GPL
> with linking exception) that would make it compatible with other
> projects with similar licenses (like GitOxide).

Yeah, we certainly shouldn't single out a specific project from my point
of view. But going with something like LGPL or GPL with linking
exception would be quite a sensible choice from my point of view.

I cannot really say much about the concerns. Should we maybe ask the SFC
for some guidance here?

Patrick